Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRTemplateRectangle

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplateElement
          net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
              net.sf.jasperreports.engine.fill.JRTemplateRectangle

All Implemented Interfaces:
  java.io.Serializable, JRCommonElement, JRCommonGraphicElement, JRCommonRectangle, JRPenContainer, JRPropertiesHolder, JRStyleContainer

    public class JRTemplateRectangle

extends JRTemplateGraphicElement
implements JRCommonRectangle

Rectangle information shared by multiple print rectangle objects.

Version:
  $Id: JRTemplateRectangle.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  `JRTemplatePrintRectangle`, Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
`linePen`

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`defaultStyleProvider, origin, parentStyle`

Constructor Summary
`` | `JRTemplateRectangle(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider)` Creates a template rectangle.
`protected` | `JRTemplateRectangle(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRRectangle rectangle)`
`protected` | `JRTemplateRectangle(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRSubreport subreport)`

Method Summary
`java.lang.Integer` | `getOwnRadius()`
`int` | `getRadius()` Indicates the corner radius for rectangles with round corners.
`void` | `setRadius(int radius)` Sets the corner radius for rectangles with round corners.
`void` | `setRadius(java.lang.Integer radius)`
`protected void` | `setRectangle(JRRectangle rectangle)`
`protected void` | `setSubreport(JRSubreport subreport)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
`copyLinePen, getDefaultLineColor, getDefaultLineWidth, getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, getOwnPen, getPen, setFill, setFill, setFill, setGraphicElement, setPen, setPen`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getMode, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setMode, setMode, setStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Constructor Detail

### JRTemplateRectangle

    protected JRTemplateRectangle(JROrigin origin,
                                  JRDefaultStyleProvider defaultStyleProvider,
                                  JRRectangle rectangle)

### JRTemplateRectangle

    protected JRTemplateRectangle(JROrigin origin,
                                  JRDefaultStyleProvider defaultStyleProvider,
                                  JRSubreport subreport)

### JRTemplateRectangle

    public JRTemplateRectangle(JROrigin origin,
                               JRDefaultStyleProvider defaultStyleProvider)

  Creates a template rectangle.

  Parameters:
    `origin` - the origin of the elements that will use this template
    `defaultStyleProvider` - the default style provider to use for this template

Method Detail

### setRectangle

    protected void setRectangle(JRRectangle rectangle)

### setSubreport

    protected void setSubreport(JRSubreport subreport)

### getRadius

    public int getRadius()

  Description copied from interface: `JRCommonRectangle`
  Indicates the corner radius for rectangles with round corners. The default is 0.

  Specified by:
    `getRadius` in interface `JRCommonRectangle`

### getOwnRadius

    public java.lang.Integer getOwnRadius()

  Specified by:
    `getOwnRadius` in interface `JRCommonRectangle`

### setRadius

    public void setRadius(int radius)

  Description copied from interface: `JRCommonRectangle`
  Sets the corner radius for rectangles with round corners.

  Specified by:
    `setRadius` in interface `JRCommonRectangle`

### setRadius

    public void setRadius(java.lang.Integer radius)

  Specified by:
    `setRadius` in interface `JRCommonRectangle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com